Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.emory.mathcs.util.io
Class ForkOutputStream

    java.lang.Object
      java.io.OutputStream
          edu.emory.mathcs.util.io.ForkOutputStream

public class ForkOutputStream
extends java.io.OutputStream

Output stream that multicasts its data to sevaral underlying output streams.

Version:
  1.0
Author:
  Dawid Kurzyniec
See Also:
  `TeeInputStream`, `RedirectingInputStream`

Constructor Summary
`ForkOutputStream(java.io.OutputStream[] outs)` Creates a new fork output stream multicasting to multiple specified streams.
`ForkOutputStream(java.io.OutputStream out1, java.io.OutputStream out2)` Creates a new fork output stream multicasting to two specified streams.
`ForkOutputStream(java.io.OutputStream out1, java.io.OutputStream out2, java.io.OutputStream out3)` Creates a new fork output stream multicasting to three specified streams.

Method Summary
`void` | `close()`
`void` | `flush()`
`void` | `write(byte[] buf)`
`void` | `write(byte[] buf, int off, int len)`
`void` | `write(int b)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ForkOutputStream

    public ForkOutputStream(java.io.OutputStream out1,
                            java.io.OutputStream out2)

  Creates a new fork output stream multicasting to two specified streams.

Parameters:
  `out1` - output #1
  `out2` - output #2

### ForkOutputStream

    public ForkOutputStream(java.io.OutputStream out1,
                            java.io.OutputStream out2,
                            java.io.OutputStream out3)

  Creates a new fork output stream multicasting to three specified streams.

Parameters:
  `out1` - output #1
  `out2` - output #2
  `out3` - output #3

### ForkOutputStream

    public ForkOutputStream(java.io.OutputStream[] outs)

  Creates a new fork output stream multicasting to multiple specified streams.

Parameters:
  `outs` - outputs to multicast to

Method Detail

### write

    public void write(byte[] buf)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### write

    public void write(byte[] buf,
                      int off,
                      int len)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### write

    public void write(int b)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### flush

    public void flush()
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### close

    public void close()
               throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD